package com.supervision;

import com.supervision.util.PredefinedAnswerAssistant;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.web.client.RestTemplate;
import org.springframework.web.reactive.function.client.WebClient;

@SpringBootApplication
public class SpeechDemoServiceApplication {

    public static void main(String[] args) {
        SpringApplication.run(SpeechDemoServiceApplication.class, args);
        // 加载预定义回答
        PredefinedAnswerAssistant assistant = new PredefinedAnswerAssistant();
        assistant.loadAnswer();
    }
    @Bean
    public RestTemplate restTemplate() {
        return new RestTemplate();
    }

    @Bean
    public WebClient webClient() {
        return WebClient.create();
    }

}
